//GameGirl.c
#include "GameGirl.h"		// inclure la librairie GameGirl.h
#include <p18f452.h>		// librairie du PIC
#include <adc.h>			// librairie convertisseur Ana/num


int Joystick_X_Zero=512;	// position de repos
int Joystick_Y_Zero=512;

void ConfigProcessor(void)
{
// 1 pour Input / 0 pour Outpout
TRISA = 0b00000111;				//				|RedLed|   x  |   x  |SW_JOY|  AN1 |  AN0
TRISB = 0b00000000;				//    x  |  BL  |   E  |  R_W |   RS |  CSB |  CSA |LCD_RST		// Afficheur LCD
TRISC = 0b10111100;				//   RX  |  TX  | SwGre| Swblu| SwYel| SwRed|   x  |   x
TRISD = 0b00000000;				//   D7  |  D6  |  D5  |  D4  |  D3  |  D2  |  D1  |  D0
TRISE = 0b000;					//									 |   x  |   x  |GreLed

// Config des convertisseurs Ana/Num
// librairie adc.h

OpenADC (	ADC_FOSC_2 &		// FQuartz /2
			ADC_RIGHT_JUST &	// resultat bit de poids faible
		//	ADC_0ANA_0REF ,		// I/O tous digital
			ADC_3ANA_0REF ,		// AN0 et AN1 en analogique
			ADC_INT_OFF	);		// Interruption dsactiv
}


/*** Fonctions de gestion du Joystick ***/

int Joystick_X(void)
{	int positionX;
SetChanADC	(ADC_CH1);			// Slection du channel 0

Delay10TCYx(5);					// delay de 50 cycles

ConvertADC();
while( BusyADC() );				// attendre la fin de la conversion
positionX = (ReadADC()-512);	// retourner la valeur dans le nouveau repre
return positionX;
CloseADC();
}

int Joystick_Y(void)
{	int positionY;
SetChanADC	(ADC_CH0);			// Slection du channel 1

Delay10TCYx(5);					// delay de 50 cycles

ConvertADC();
while( BusyADC() );				// attendre la fin de la conversion
positionY = (ReadADC()-512);	// retourner la valeur dans le nouveau repre
return positionY;		
CloseADC();
}	
