// LCD.h

#ifndef __LCD__			// pour viter plusieur appels   la fonction
#define __LCD__

/*** Prototypes des fonctions de gestions et d'affichage sur le LCD ***/

void LCD_Init(void);
void LCD_Write_Command(unsigned char Data);
void LCD_Send_Data(unsigned char Data);
void LCD_Clear(void);
void LCD_GotoXY (unsigned char X,unsigned char Y);

void LCD_PutChar(char ch);
void LCD_PutPixel(unsigned char X, unsigned char Y);

void LCD_ClearPixel(unsigned char X, unsigned char Y);

void TraceLigneH(unsigned char Y, unsigned char X1,unsigned char X2);
void TraceLigneV(unsigned char X, unsigned char Y1,unsigned char Y2);

void AfficheViseur(unsigned char X, unsigned char Y);
void EffaceViseur(unsigned char X, unsigned char Y);

void AfficheTir(unsigned char X, unsigned char Y);
void EffaceTir(unsigned char X, unsigned char Y);

void AfficheCible(unsigned char X, unsigned char Y);
void EffaceCible(unsigned char X, unsigned char Y);

void AfficheIntro(unsigned char T[], unsigned char A[], unsigned char R[], unsigned char N[]);
void AfficheCommand_V(unsigned char B[], unsigned char R[], unsigned char V[]);
void AffCadres_Tirs(unsigned char T[]);
void AffTirs_Balles(unsigned t, unsigned char B);
void AffNbCibles(unsigned char C[], unsigned char NbC);
void AffNbTirs(unsigned char T[], unsigned char t);
void AffNbTirsOK(unsigned char TOK[], unsigned char TR);
void AffScore(unsigned char S[], unsigned char s);

#endif
